aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-30 13:22:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-30 13:22:01 +0000
commitac3f9c9c44f92f3c02125147d0218b143e3ac461 (patch)
tree8a652c877ab557e8fb4ff524171c6e19cc123ee6
parent78a267a967c59f5399c3bfd43273bd03d6f44b80 (diff)
downloadaports-ac3f9c9c44f92f3c02125147d0218b143e3ac461.tar.gz
aports-ac3f9c9c44f92f3c02125147d0218b143e3ac461.tar.bz2
aports-ac3f9c9c44f92f3c02125147d0218b143e3ac461.tar.xz
main/alpine-conf: another setup-disk fixv1.9.0
-rw-r--r--main/alpine-conf/0001-setup-disk-check-if-the-devce-itself-is-mounted.patch25
-rw-r--r--main/alpine-conf/APKBUILD7
2 files changed, 30 insertions, 2 deletions
diff --git a/main/alpine-conf/0001-setup-disk-check-if-the-devce-itself-is-mounted.patch b/main/alpine-conf/0001-setup-disk-check-if-the-devce-itself-is-mounted.patch
new file mode 100644
index 0000000000..28050509f8
--- /dev/null
+++ b/main/alpine-conf/0001-setup-disk-check-if-the-devce-itself-is-mounted.patch
@@ -0,0 +1,25 @@
+From 841c6823ac8a3f1e17af457722c8b7ea2abf8cb4 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 30 Sep 2009 12:57:59 +0000
+Subject: [PATCH] setup-disk: check if the devce itself is mounted
+
+this will filter out loop0 device
+---
+ setup-disk.in | 1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/setup-disk.in b/setup-disk.in
+index 33cc868..c11d20c 100644
+--- a/setup-disk.in
++++ b/setup-disk.in
+@@ -149,6 +149,7 @@ has_mounted_part() {
+ # parse /proc/mounts for mounted devices
+ for p in $(awk '$1 ~ /^\/dev\// {gsub("/dev/", "", $1); print $1}' \
+ /proc/mounts); do
++ [ "$p" = "$1" ] && return 0
+ [ -e /sys/block/$1/$p ] && return 0
+ done
+ return 1
+--
+1.6.4.4
+
diff --git a/main/alpine-conf/APKBUILD b/main/alpine-conf/APKBUILD
index 18aa74a5b6..485805e28e 100644
--- a/main/alpine-conf/APKBUILD
+++ b/main/alpine-conf/APKBUILD
@@ -1,16 +1,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=2.0_rc7
-pkgrel=0
+pkgrel=1
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
depends="openrc"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
+ 0001-setup-disk-check-if-the-devce-itself-is-mounted.patch
"
license="GPL-2"
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i ../0001-setup-disk-check-if-the-devce-itself-is-mounted.patch || return
make || return 1
make install PREFIX= DESTDIR="$pkgdir"
@@ -18,4 +20,5 @@ build() {
ln -s lbu "$pkgdir"/sbin/lbu_$i
done
}
-md5sums="8b44c02500d646dd64368904762d236e alpine-conf-2.0_rc7.tar.bz2"
+md5sums="8b44c02500d646dd64368904762d236e alpine-conf-2.0_rc7.tar.bz2
+f51a1948ddf5f035e9e6509e57000ccd 0001-setup-disk-check-if-the-devce-itself-is-mounted.patch"